qemu-devel
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[PATCH] configure: Improve zstd test


From: Juan Quintela
Subject: [PATCH] configure: Improve zstd test
Date: Thu, 5 Mar 2020 11:34:27 +0100

There were one error on the test (missing an s for --exists).
But we really need a recent zstd (0.8.1).
That version was released in 2016, so it is newer that some of our travis
images.  Just check for the version that we need.

Signed-off-by: Juan Quintela <address@hidden>
Reported-by: Richard Henderson <address@hidden>
---
 configure | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/configure b/configure
index 7b373bc0bb..1bf48df1ef 100755
--- a/configure
+++ b/configure
@@ -2464,7 +2464,8 @@ fi
 # zstd check
 
 if test "$zstd" != "no" ; then
-    if $pkg_config --exist libzstd ; then
+    libzstd_minver="0.8.1"
+    if $pkg_config --atleast-version=$libzstd_minver libzstd ; then
         zstd_cflags="$($pkg_config --cflags libzstd)"
         zstd_libs="$($pkg_config --libs libzstd)"
         LIBS="$zstd_libs $LIBS"
-- 
2.24.1




reply via email to

[Prev in Thread] Current Thread [Next in Thread]